Show merchant application
curl --request GET \
--url https://api.creditor.younegotiate.com/merchant-settings/merchant-application \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/merchant-settings/merchant-application"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/merchant-settings/merchant-application', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"is_already_submitted": true,
"merchant_request": {
"id": 123,
"merchant_processor_name": "<string>",
"contact_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"api_url": "<string>",
"status": "<string>",
"status_label": "<string>",
"company": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}Show merchant application
Return whether the creditor company already submitted a merchant application and the existing request when present.
GET
/
merchant-settings
/
merchant-application
Show merchant application
Last modified on July 20, 2026
Was this page helpful?
⌘I

